﻿using FarPoint.Win.Spread;
using FarPoint.Win.Spread.CellType;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SavingXMLFiles
{
    public partial class Form1 : Form
    {
        private TimeSpan timeSpan;
        public Form1()
        {
            InitializeComponent();

            Load += Form1_Load;
            btnSave.Click += BtnSave_Click;
        }

        private void BtnSave_Click(object sender, EventArgs e)
        {
      //  DateTime date = DateTime.Now;
      //System.Diagnostics.Debug.WriteLine(DateTime.Now.ToLongTimeString());
      DateTime t1 = DateTime.Now;
      textBox1.Text += "start: " + t1.ToLongTimeString() + "\r\n";
           fpSpread1.Save( txtFileName.Text + ".xml", false);
      //System.Diagnostics.Debug.WriteLine(DateTime.Now.ToLongTimeString());
      DateTime t2 = DateTime.Now;
      textBox1.Text += "end: " + t2.ToLongTimeString() + "\r\n";
      textBox1.Text += "diff: " + (t2 - t1).TotalSeconds + "s\r\n";
      textBox1.Text += "-----------\r\n";
      //timeSpan = DateTime.Now - date;

      // MessageBox.Show($"Time taken: {timeSpan.Seconds} seconds");
    }

    private void Form1_Load(object sender, EventArgs e)
        {
            for (int i = 0; i < fpSpread1_Sheet1.ColumnCount; ++i)
            {
                fpSpread1_Sheet1.Cells[0, i].Value = 10 * i;
            }

            for (int i = 1; i < fpSpread1_Sheet1.RowCount; ++i)
            {
                for (int j = 0; j < fpSpread1_Sheet1.ColumnCount; ++j)
                {
                    fpSpread1_Sheet1.Cells[i, j].Formula = $"SUM(Sheet1!$A1:$A{i})";
                    fpSpread1_Sheet1.Cells[i, j].CellType = new NumberCellType();
                }
            }
        }
    }
}
